From f9648e8f4aab57411c6002815b1fde43185b29c2 Mon Sep 17 00:00:00 2001
From: Rickard Green <rickard@erlang.org>
Date: Thu, 4 Jul 2019 17:40:16 +0200
Subject: [PATCH 67/73] Fix unstable test dump_SUITE:signal_abort

Sometimes processes have not had the time to spread
from one scheduler. Force spread by using the undocumented
'scheduler' option.
---
 erts/emulator/test/dump_SUITE.erl | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

diff --git a/erts/emulator/test/dump_SUITE.erl b/erts/emulator/test/dump_SUITE.erl
index d0237b78cc7..0aba2b874c7 100644
--- a/erts/emulator/test/dump_SUITE.erl
+++ b/erts/emulator/test/dump_SUITE.erl
@@ -65,12 +65,14 @@ signal_abort(Config) ->
 
     {ok, Node} = start_node(Config),
 
-    _P1 = spawn(Node, ?MODULE, load, []),
-    _P2 = spawn(Node, ?MODULE, load, []),
-    _P3 = spawn(Node, ?MODULE, load, []),
-    _P4 = spawn(Node, ?MODULE, load, []),
-    _P5 = spawn(Node, ?MODULE, load, []),
-    _P6 = spawn(Node, ?MODULE, load, []),
+    SO = rpc:call(Node, erlang, system_info, [schedulers_online]),
+
+    _P1 = spawn_opt(Node, ?MODULE, load, [], [{scheduler, (0 rem SO) + 1}]),
+    _P2 = spawn_opt(Node, ?MODULE, load, [], [{scheduler, (1 rem SO) + 1}]),
+    _P3 = spawn_opt(Node, ?MODULE, load, [], [{scheduler, (2 rem SO) + 1}]),
+    _P4 = spawn_opt(Node, ?MODULE, load, [], [{scheduler, (3 rem SO) + 1}]),
+    _P5 = spawn_opt(Node, ?MODULE, load, [], [{scheduler, (4 rem SO) + 1}]),
+    _P6 = spawn_opt(Node, ?MODULE, load, [], [{scheduler, (5 rem SO) + 1}]),
 
     timer:sleep(500),
 

